Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513676 - [abrt] python3-mypy: resolve(): __init__.py:857:resolve:pkg_resources.DistributionNotFound: The 'psutil<5.5.0,>=5.4.0' distribution was not found and is required by mypy
Summary: [abrt] python3-mypy: resolve(): __init__.py:857:resolve:pkg_resources.Distrib...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python3-mypy
Version: 27
Hardware: x86_64
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0af43096d51a0f41a8cd2ecde8d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 18:09 UTC by Charles Barto
Modified: 2018-11-30 21:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:20:02 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-15 18:09 UTC, Charles Barto
no flags Details
File: cgroup (deleted)
2017-11-15 18:09 UTC, Charles Barto
no flags Details
File: cpuinfo (deleted)
2017-11-15 18:09 UTC, Charles Barto
no flags Details
File: environ (deleted)
2017-11-15 18:09 UTC, Charles Barto
no flags Details
File: mountinfo (deleted)
2017-11-15 18:09 UTC, Charles Barto
no flags Details
File: namespaces (deleted)
2017-11-15 18:09 UTC, Charles Barto
no flags Details
File: open_fds (deleted)
2017-11-15 18:09 UTC, Charles Barto
no flags Details

Description Charles Barto 2017-11-15 18:09:13 UTC
Description of problem:
It looks like mypy (from fedora) requires a newer version of psutil than is in fedora.

Version-Release number of selected component:
python3-mypy-0.550-1.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/bin/mypy --ignore-missing-imports --follow-imports=silent /home/bartoc/Source/synthetic-smpl/synthetic_smpl/project_points.py
crash_function: resolve
exception_type: pkg_resources.ContextualVersionConflict
executable:     /usr/bin/mypy
kernel:         4.13.12-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__init__.py:857:resolve:pkg_resources.DistributionNotFound: The 'psutil<5.5.0,>=5.4.0' distribution was not found and is required by mypy

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 657, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 971, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 862, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (psutil 5.2.2 (/usr/lib64/python3.6/site-packages), Requirement.parse('psutil<5.5.0,>=5.4.0'), {'mypy'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/mypy", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3038, in <module>
    @_call_aside
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3022, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3051, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 659, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 672, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 857, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'psutil<5.5.0,>=5.4.0' distribution was not found and is required by mypy

Local variables in innermost frame:
new_requirement: Requirement.parse('typed-ast<1.2.0,>=1.1.0')
new_requirements: [Requirement.parse('psutil<5.5.0,>=5.4.0'), Requirement.parse('typed-ast<1.2.0,>=1.1.0')]
requirers: {'mypy'}
ws: <pkg_resources.WorkingSet object at 0x7f6ea2096a20>
dist: None
req: Requirement.parse('psutil<5.5.0,>=5.4.0')
required_by: defaultdict(<class 'set'>, {Requirement.parse('psutil<5.5.0,>=5.4.0'): {'mypy'}, Requirement.parse('typed-ast<1.2.0,>=1.1.0'): {'mypy'}})
req_extras: {Requirement.parse('psutil<5.5.0,>=5.4.0'): (), Requirement.parse('typed-ast<1.2.0,>=1.1.0'): ()}
to_activate: [mypy 0.550 (/usr/lib/python3.6/site-packages)]
best: {'mypy': mypy 0.550 (/usr/lib/python3.6/site-packages), 'psutil': None}
processed: {Requirement.parse('mypy==0.550'): True}
extras: None
replace_conflicting: False
installer: None
env: <pkg_resources.Environment object at 0x7f6ea2096f98>
requirements: [Requirement.parse('typed-ast<1.2.0,>=1.1.0')]
self: <pkg_resources.WorkingSet object at 0x7f6ea2096a20>

Comment 1 Charles Barto 2017-11-15 18:09:18 UTC
Created attachment 1352834 [details]
File: backtrace

Comment 2 Charles Barto 2017-11-15 18:09:19 UTC
Created attachment 1352835 [details]
File: cgroup

Comment 3 Charles Barto 2017-11-15 18:09:20 UTC
Created attachment 1352836 [details]
File: cpuinfo

Comment 4 Charles Barto 2017-11-15 18:09:21 UTC
Created attachment 1352837 [details]
File: environ

Comment 5 Charles Barto 2017-11-15 18:09:22 UTC
Created attachment 1352838 [details]
File: mountinfo

Comment 6 Charles Barto 2017-11-15 18:09:23 UTC
Created attachment 1352839 [details]
File: namespaces

Comment 7 Charles Barto 2017-11-15 18:09:24 UTC
Created attachment 1352840 [details]
File: open_fds

Comment 8 Gwyn Ciesla 2017-11-15 18:23:45 UTC
Make sure you have python3-typed_ast-1.1.0 installed, in updates-testing.

Comment 9 Elad Alfassa 2017-12-01 14:46:48 UTC
I have python3-typed_ast-1.1.0-1.fc27.x86_64 installed and I'm still seeing this error.

Comment 10 wibrown@redhat.com 2018-01-15 03:48:01 UTC
Hi,

I am also affected by this issue,

Increasing priority as this renders the package unusable out of the box,

Error:

Traceback (most recent call last):
  File "/usr/bin/mypy", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3141, in <module>
    @_call_aside
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3125, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3154, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 666, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 984, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 870, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'psutil<5.5.0,>=5.4.0' distribution was not found and is required by mypy

Comment 11 wibrown@redhat.com 2018-01-15 03:49:01 UTC
python3-mypy-0.560-1.fc27.noarch
python3-psutil-5.2.2-1.fc27.x86_64
python3-typed_ast-1.1.0-1.fc27.x86_64

Comment 12 Chris Lalancette 2018-03-04 03:55:47 UTC
I also ran into this issue.  FWIW, it is relatively easy to fix; just add:

BuildRequires: python3-typed_ast

and rebuild the package.  In some simple testing of mine, this seemed to fix the issue for me.

Comment 13 Ben Cotton 2018-11-27 15:57:15 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 21:20:02 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.